Subject: Re: FVWM: Re: Here's a patch for WarpTowindow and FocusOnly functions (fwd)

From: Brady Montz <[email-masked]>
Date: Sat, 27 Apr 1996 18:31:41 -0700 (MST)

> I don't know for sure what WarpToWindow does, but I assume that you use
> 
> 	WarpToWindow <window>
> 
> to go to window.  If that is the case,
> 
> 	Next [<window>] Focus
> 
> does the same thing.  Is this what WarpToWindow does?
> 
> What does FocusOnly do?
> 
> Dan Niles
> [email-masked]
> 

NOOOOOOO!!!!! Sorry, just kidding.

FocusOnly is a function which gives a window focus WITHOUT warping the cursor.
WarpToWindow is a function which warps the cursor to a window. The two of them
together could be used to replace the current Focus function, and that way we
could have a focus function which doesn't warp the cursor. 

Incidentally, I'm not sure that Next[<window>] Focus warps the cursor if
you're using ClickToFocus. If you're using one of the focus follows mouse
modes, then WarpToWindow does set the focus to that window as well.

[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].